#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	webtest
Summary:	Helper to test WSGI applications
Summary(pl.UTF-8):	Moduł pomocniczy do testowania aplikacji WSGI
Name:		python-%{module}
# keep 2.x here for python2 support
Version:	2.0.35
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/webtest/
Source0:	https://files.pythonhosted.org/packages/source/W/WebTest/WebTest-%{version}.tar.gz
# Source0-md5:	a5d027ffa0991fdf20e305c62bd37791
Patch0:		%{name}-deps.patch
URL:		http://webtest.pythonpaste.org/
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-PasteDeploy
BuildRequires:	python-WSGIProxy2
BuildRequires:	python-WebOb >= 1.2
BuildRequires:	python-bs4
BuildRequires:	python-dtopt
BuildRequires:	python-lxml
BuildRequires:	python-mock
BuildRequires:	python-nose
BuildRequires:	python-pyquery
BuildRequires:	python-six
BuildRequires:	python-waitress >= 0.8.5
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python-docutils
BuildRequires:	python-pylons-sphinx-themes >= 1.0.8
BuildRequires:	sphinx-pdg-2 >= 1.8.1
%endif
Requires:	python-modules >= 1:2.7
Obsoletes:	python-WebTest < 1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebTest wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

This provides convenient full-stack testing of applications written
with any WSGI-compatible framework.

%description -l pl.UTF-8
WebTest obudowuje dowolną aplikację WSGI i ułatwia wysyłanie do niej
testowych żądań bez uruchamiania serwera HTTP.

Daje to wygodne, oparte o pełny stos testowanie aplikacji napisanych
przy użyciu dowolnego szkieletu zgodnego z WSGI.

%package apidocs
Summary:	API documentation for Python WebTest module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona WebTest
Group:		Documentation

%description apidocs
API documentation for Python WebTest module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona WebTest.

%prep
%setup -q -n WebTest-%{version}
%patch -P 0 -p1

# Remove bundled egg info
%{__rm} -r *.egg-info

%build
%py_build %{?with_tests:test}

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst README.rst license.rst
%{py_sitescriptdir}/webtest
%{py_sitescriptdir}/WebTest-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-webtest.git;a=log;h=master

* Wed May 28 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 143cb50
- Rel 4; python3 dropped here (see python3-webtest.spec)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 48d0f9a
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 695ebdd
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 509220e
- use patch -P

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 996b683
- updated to 2.0.35

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9349f95
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 229ff85
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 5e8996d
- release 4 (by relup.sh)

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 3755f65
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1be638c
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> d1dc5f6
- added deps patch (allow nose 1.3.x required for python 3.4+, use unittest.mock on py3)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> dae60d9
- Obsoletes: python-WebTest

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 7a08de3
- updated to 2.0.30, added -apidocs

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c129b64
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b073b41
- python 3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 91c8182
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 43659db
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> abb094e
- semi-automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 26d52e1
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e0f31f
- python 3.4
- release 3 (by relup.sh)

